import { jsx } from "react/jsx-runtime";
import { TokenGMX as TokenGMX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGMX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GMX", "data-name": "TokenGMX", ...props, children: /* @__PURE__ */ jsx(TokenGMX$1, { variant }) });
  }
);
TokenGMX.displayName = "TokenGMX";
Object.assign(TokenGMX, { isGdsIcon: true });
export {
  TokenGMX
};
